intel ips 0000:00:1f.6: MCP power or thermal limit exceeded

Bug #636045 reported by Michael Lustfield on 2010-09-11
566
This bug affects 127 people
Affects Status Importance Assigned to Milestone
System76
Undecided
Unassigned
linux (Ubuntu)
Medium
Unassigned
Declined for Maverick by Joseph Salisbury
Precise
Medium
Unassigned

Bug Description

root@panther:~# tail /var/log/syslog
Sep 11 16:34:50 panther kernel: [11617.060149] intel ips 0000:00:1f.6: MCP power or thermal limit exceeded
Sep 11 16:34:55 panther kernel: [11622.049481] intel ips 0000:00:1f.6: MCP power or thermal limit exceeded
Sep 11 16:35:00 panther kernel: [11627.038749] intel ips 0000:00:1f.6: MCP power or thermal limit exceeded
Sep 11 16:35:05 panther kernel: [11632.028110] intel ips 0000:00:1f.6: MCP power or thermal limit exceeded
Sep 11 16:35:10 panther kernel: [11637.017424] intel ips 0000:00:1f.6: MCP power or thermal limit exceeded
Sep 11 16:35:15 panther kernel: [11642.006732] intel ips 0000:00:1f.6: MCP power or thermal limit exceeded
Sep 11 16:35:20 panther kernel: [11646.996052] intel ips 0000:00:1f.6: MCP power or thermal limit exceeded
Sep 11 16:35:25 panther kernel: [11651.985363] intel ips 0000:00:1f.6: MCP power or thermal limit exceeded
Sep 11 16:35:30 panther kernel: [11656.974655] intel ips 0000:00:1f.6: MCP power or thermal limit exceeded
Sep 11 16:35:35 panther kernel: [11661.963986] intel ips 0000:00:1f.6: MCP power or thermal limit exceeded
# These happen every 5 seconds

root@panther:~# acpi -V
Battery 0: Full, 100%
Battery 0: design capacity 4400 mAh, last full capacity 4353 mAh = 98%
Adapter 0: on-line
Cooling 0: LCD 5 of 9
Cooling 1: Processor 0 of 10
Cooling 2: Processor 0 of 10
Cooling 3: Processor 0 of 10
Cooling 4: Processor 0 of 10

root@panther:~# uname -a
Linux panther 2.6.35-20-generic #29-Ubuntu SMP Fri Sep 3 14:55:28 UTC 2010 x86_64 GNU/Linux

root@panther:~# cat /proc/version_signature
Ubuntu 2.6.35-20.29-generic 2.6.35.4
---
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC272X Analog [ALC272X Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/snd/by-path', '/dev/snd/controlC0', '/dev/snd/hwC0D0', '/dev/snd/hwC0D3', '/dev/snd/pcmC0D0c', '/dev/snd/pcmC0D0p', '/dev/snd/pcmC0D3p', '/dev/snd/pcmC0D7p', '/dev/snd/seq', '/dev/snd/timer'] failed with exit code 1:
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xb4400000 irq 44'
   Mixer name : 'Intel IbexPeak HDMI'
   Components : 'HDA:10ec0272,1025036d,00100001 HDA:80862804,80860101,00100000'
   Controls : 25
   Simple ctrls : 12
DistroRelease: Ubuntu 10.10
HibernationDevice: RESUME=UUID=3d97a483-3de9-4c8f-9f1b-edf8dd54714d
InstallationMedia: Ubuntu 10.04.1 LTS "Lucid Lynx" - Release amd64 (20100816.1)
Lsusb:
 Bus 002 Device 002: ID 8087:0020 Intel Corp. Integrated Rate Matching Hub
 Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
 Bus 001 Device 003: ID 064e:a219 Suyin Corp.
 Bus 001 Device 002: ID 8087:0020 Intel Corp. Integrated Rate Matching Hub
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: Acer Aspire 5741
Package: linux (not installed)
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.35-20-generic root=UUID=4dcfee33-2291-4516-988e-541177f966b7 ro
ProcEnviron:
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.35-20.29-generic 2.6.35.4
Regression: No
RelatedPackageVersions: linux-firmware 1.38
Reproducible: Yes
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
Tags: maverick kernel-uncat needs-upstream-testing
Uname: Linux 2.6.35-20-generic x86_64
UserGroups:

dmi.bios.date: 06/08/2010
dmi.bios.vendor: Acer
dmi.bios.version: V1.09
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: Aspire 5741
dmi.board.vendor: Acer
dmi.board.version: V1.09
dmi.chassis.type: 10
dmi.chassis.vendor: Acer
dmi.chassis.version: V1.09
dmi.modalias: dmi:bvnAcer:bvrV1.09:bd06/08/2010:svnAcer:pnAspire5741:pvrV1.09:rvnAcer:rnAspire5741:rvrV1.09:cvnAcer:ct10:cvrV1.09:
dmi.product.name: Aspire 5741
dmi.product.version: V1.09
dmi.sys.vendor: Acer

The large repetition of "intel ips 0000:00:1f.6: MCP power or thermal limit exceeded" bothers me. This laptop is very new still. At least as far as me having bought it less than a month ago.

tags: added: apport-collected
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Hi Michael,

This is a known upstream issue which is "normal and expected" at the moment.

http://lkml.org/lkml/2010/8/24/771

We'll pull the fix into the Ubuntu kernel once upstream decides how they want to rate-limit the messages.

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: New → Triaged

I noticed that in the latest kernel this happens instead. It seems like it's actually a problem that the message is occurring more that extreme amounts of repetition. Any ideas why this would be coming up at all?

Sep 17 21:20:43 panther kernel: intel ips 0000:00:1f.6: MCP power or thermal limit exceeded
Sep 17 21:21:18 panther kernel: last message repeated 7 times
Sep 17 21:22:23 panther kernel: last message repeated 13 times
Sep 17 21:23:27 panther kernel: last message repeated 12 times
Sep 17 21:24:27 panther kernel: last message repeated 12 times
Sep 17 21:25:27 panther kernel: last message repeated 12 times
Sep 17 21:26:27 panther kernel: last message repeated 12 times
Sep 17 21:27:27 panther kernel: last message repeated 12 times
Sep 17 21:28:27 panther kernel: last message repeated 12 times
Sep 17 21:29:27 panther kernel: last message repeated 12 times
Sep 17 21:30:27 panther kernel: last message repeated 12 times
Sep 17 21:31:27 panther kernel: last message repeated 12 times
Sep 17 21:32:27 panther kernel: last message repeated 12 times
Sep 17 21:33:10 panther kernel: last message repeated 9 times
Sep 17 21:33:13 panther kernel: intel ips 0000:00:1f.6: MCP power or thermal limit exceeded
Sep 17 21:34:18 panther kernel: last message repeated 13 times
Sep 17 21:35:23 panther kernel: last message repeated 13 times

Hendy Irawan (ceefour) wrote :
Download full text (27.0 KiB)

I also have this problem.

Example log:
Oct 28 10:35:17 annafi kernel: [ 5696.808162] intel ips 0000:00:1f.6: CPU power or thermal limit exceeded
Oct 28 10:35:22 annafi kernel: [ 5701.805372] intel ips 0000:00:1f.6: CPU power or thermal limit exceeded
Oct 28 10:35:27 annafi kernel: [ 5706.802563] intel ips 0000:00:1f.6: CPU power or thermal limit exceeded
Oct 28 10:35:32 annafi kernel: [ 5711.799766] intel ips 0000:00:1f.6: CPU power or thermal limit exceeded
Oct 28 10:35:37 annafi kernel: [ 5716.801029] intel ips 0000:00:1f.6: CPU power or thermal limit exceeded
Oct 28 10:35:42 annafi kernel: [ 5721.794578] intel ips 0000:00:1f.6: CPU power or thermal limit exceeded
Oct 28 10:35:47 annafi kernel: [ 5726.795356] intel ips 0000:00:1f.6: CPU power or thermal limit exceeded
Oct 28 10:35:52 annafi kernel: [ 5731.788583] intel ips 0000:00:1f.6: CPU power or thermal limit exceeded

My system specs:

$ uname -a
Linux annafi 2.6.35-22-generic #35-Ubuntu SMP Sat Oct 16 20:36:48 UTC 2010 i686 GNU/Linux

$ cat /proc/cpuinfo
processor : 0
vendor_id : GenuineIntel
cpu family : 6
model : 37
model name : Intel(R) Core(TM) i3 CPU M 380 @ 2.53GHz
stepping : 5
cpu MHz : 2533.000
cache size : 3072 KB
physical id : 0
siblings : 4
core id : 0
cpu cores : 2
apicid : 0
initial apicid : 0
fdiv_bug : no
hlt_bug : no
f00f_bug : no
coma_bug : no
fpu : yes
fpu_exception : yes
cpuid level : 11
wp : yes
flags : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe nx rdtscp lm constant_tsc arch_perfmon pebs bts xtopology nonstop_tsc aperfmperf pni dtes64 monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr pdcm sse4_1 sse4_2 popcnt lahf_lm arat tpr_shadow vnmi flexpriority ept vpid
bogomips : 5055.15
clflush size : 64
cache_alignment : 64
address sizes : 36 bits physical, 48 bits virtual
power management:

processor : 1
vendor_id : GenuineIntel
cpu family : 6
model : 37
model name : Intel(R) Core(TM) i3 CPU M 380 @ 2.53GHz
stepping : 5
cpu MHz : 933.000
cache size : 3072 KB
physical id : 0
siblings : 4
core id : 2
cpu cores : 2
apicid : 4
initial apicid : 4
fdiv_bug : no
hlt_bug : no
f00f_bug : no
coma_bug : no
fpu : yes
fpu_exception : yes
cpuid level : 11
wp : yes
flags : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe nx rdtscp lm constant_tsc arch_perfmon pebs bts xtopology nonstop_tsc aperfmperf pni dtes64 monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr pdcm sse4_1 sse4_2 popcnt lahf_lm arat tpr_shadow vnmi flexpriority ept vpid
bogomips : 5053.89
clflush size : 64
cache_alignment : 64
address sizes : 36 bits physical, 48 bits virtual
power management:

processor : 2
vendor_id : GenuineIntel
cpu family : 6
model : 37
model name : Intel(R) Core(TM) i3 CPU M 380 @ 2.53GHz
stepping : 5
cpu MHz : 933.000
cache size : 3072 KB
physical id : 0
siblings : 4
core id : 0
cpu cores : 2
apicid : 1
initial apicid : 1
fdiv_bug : no
hlt_bug : no
f00f_bug : no
coma_bug : no
fpu : yes
fpu_exception : yes
cpuid level : 11
wp : yes
flags : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat pse36 clflush dts acpi mmx ...

Running kernel 2.6.37 rc 2 on Maverick the issue no longer exists. Seems that the upstream has decided what to do. Could this now be pulled to the 2.6.35 kernel of Maverick?

Claudio Mignanti (claudyus) wrote :

Also I can confirm that using 2.6.37-020637rc2-generic the issues disappear.

Mark (mark-wege) wrote :

Is it possible that this messages actually really mean a problem? I have or rather now had this message (since it is suppressed now) and a real problem. My Thinkpad X201 regulary shuts down because of overheating (even though I do not even use the full CPU-power) which is really annoying. The only way of preventing that is to work without battery.

Claudio Mignanti (claudyus) wrote :

@Mark
Yes, I didn't follow the kernel develop so I bad understand that a kernel update should be sufficient to FIX the problem but if the fix was just to silence the message is not a solution!

Related problem should be the follow
intel ips 0000:00:1f.6: CPU TDP doesn't match expected value (found 25, expected 29)

but how to force linux to honor the factory imposed TDP?

Ray Wang (raywang) wrote :

So is it planed to backport to maverick kernel?

TheBeest (thebeest) wrote :

I have the same problem on my week old Sony VAIO VPCEB3J0E
It hasnt been causing any problems so far but now the fan has cycled up like a jet engine and its not slowing down.

$ uname -a
Linux Venom 2.6.35-24-generic #42-Ubuntu SMP Thu Dec 2 02:41:37 UTC 2010 x86_64 GNU/Linux

$ tail /var/log/syslog
Jan 11 23:39:39 Venom kernel: [ 645.507344] intel ips 0000:00:1f.6: MCP power or thermal limit exceeded
Jan 11 23:39:44 Venom kernel: [ 650.498539] intel ips 0000:00:1f.6: MCP power or thermal limit exceeded
Jan 11 23:39:49 Venom kernel: [ 655.489660] intel ips 0000:00:1f.6: MCP power or thermal limit exceeded
Jan 11 23:39:54 Venom kernel: [ 660.480886] intel ips 0000:00:1f.6: MCP power or thermal limit exceeded
Jan 11 23:39:59 Venom kernel: [ 665.473338] intel ips 0000:00:1f.6: MCP power or thermal limit exceeded
Jan 11 23:40:04 Venom kernel: [ 670.463317] intel ips 0000:00:1f.6: MCP power or thermal limit exceeded
Jan 11 23:40:09 Venom kernel: [ 675.455738] intel ips 0000:00:1f.6: MCP power or thermal limit exceeded
Jan 11 23:40:14 Venom kernel: [ 680.446889] intel ips 0000:00:1f.6: MCP power or thermal limit exceeded
Jan 11 23:40:19 Venom kernel: [ 685.438068] intel ips 0000:00:1f.6: MCP power or thermal limit exceeded
Jan 11 23:40:24 Venom kernel: [ 690.429273] intel ips 0000:00:1f.6: MCP power or thermal limit exceeded

$ acpi -V
Battery 0: Discharging, 53%, 01:27:06 remaining
Battery 0: design capacity 42180 mWh, last full capacity 42110 mWh = 99%
Adapter 0: off-line
Thermal 0: ok, 22.0 degrees C
Thermal 0: trip point 0 switches to mode critical at temperature 88.0 degrees C
Thermal 0: trip point 1 switches to mode passive at temperature 84.0 degrees C
Thermal 1: ok, 22.0 degrees C
Thermal 1: trip point 0 switches to mode critical at temperature 88.0 degrees C
Cooling 0: LCD 4 of 8
Cooling 1: Processor 0 of 10
Cooling 2: Processor 0 of 10
Cooling 3: Processor 0 of 10
Cooling 4: Processor 0 of 10

Colan Schwartz (colan) wrote :

I'm getting this on my System76 Lemur UltraThin (10.10):

Jan 16 17:01:06 crane kernel: [ 356.113439] intel ips 0000:00:1f.6: CPU power or thermal limit exceeded

Mark Baker (markashtonb) wrote :

Also getting this on a Lemur UltraThin

mab-Lemur-UltraThin kernel: [19525.760868] intel ips 0000:00:1f.6: CPU power or thermal limit exceeded

actual cpu temperature is ok:

cat /proc/acpi/thermal_zone/THM0/temperature
temperature: 54 C

Linux mab-Lemur-UltraThin 2.6.35-24-generic #42-Ubuntu SMP Thu Dec 2 02:41:37 UTC 2010 x86_64 GNU/Linux

Jg-jguk (jg-jguk) wrote :

I'm seeing this as well on Acer 3820T 13" laptop.

Anyone know which package or driver these "intel ips" message originate from? Is anyone @ Intel working on this ticket?

Bug bounty, £50 for a confirmed fix in kernel +/ Ubuntu releases for the future (not just local change, lost at next update, fix needs to be committed in mainline for future!)

Nicholas (nicholasbgr) wrote :

I have the same issue on a Dell Inspiron n4030 with 2.6.35-24-generic

Nur Kholis Majid (kholis) wrote :

me too. ubuntu 10.10 2.6.35-24-generic on Lenovo G460

Ian Santopietro (isantop) wrote :

Confirmed on System76 LemU2.

Changed in system76:
status: New → Confirmed
Jg-jguk (jg-jguk) wrote :

I see the same on Ubuntu 10.10. Acer 3820T

Linux note 2.6.35-25-generic-pae #44-Ubuntu SMP Fri Jan 21 19:01:46 UTC 2011 i686 GNU/Linux

I offer £50 bug bounty for a proper fix for this. Would anyone else like to offer a bug bounty too?

Claim at:
jg AT jguk org

Jg-jguk (jg-jguk) wrote :
Trond Husoe (tr-huso) wrote :

Same goes here with Dell E4310

Confirmed with Maverick, kernel 2.6.35-25-generic #44-Ubuntu SMP in Notebook Acer 5741-7840
[ 1754.841446] intel ips 0000:00:1f.6: MCP power or thermal limit exceeded
[ 1759.832702] intel ips 0000:00:1f.6: MCP power or thermal limit exceeded
[ 1764.824040] intel ips 0000:00:1f.6: MCP power or thermal limit exceeded

Now 365 lines of this message in dmesg and increasing, there is not a way of kernel honor this thermal limit ?

Jg-jguk (jg-jguk) wrote :

Paulo, I don't think anyone is working on this ticket. Perhaps you could consider adding to the bounty for the person who fixes.

May need an expert to understand.. looks like it may simply be using a default value on my Acer 3820T:

Warning: CPU TDP doesn't match expected value (found 25, expected 35)
intel ips 0000:00:1f.6: PCI INT C -> GSI 18 (level, low) -> IRQ 18
intel ips 0000:00:1f.6: IPS driver initialized, MCP temp limit 65535

Andy Hull (andrew-j-hull) wrote :

Likewise on an IBM Thinkpad T410i - Maverick
2.6.35-26-generic #46-Ubuntu SMP x86_64
cat /proc/acpi/thermal_zone/THM0/temperature
temperature: 45 C

So not hot enough to fry an egg, not even up in the high 50s or low 60s where I might start to worry, but nonetheless an annoying error, with no doubt an underlying cause.

Jon Elofson (jon-elofson) wrote :

Ditto on a Dell inspiron 15R i3 running 10.10.
2.6.35-25-generic-pae

Todd Morgan (tubatodd) wrote :

I'm experiencing the same thing on a 2 month old HP DV6. In my case, I was running an external monitor along with the internal display. While the dual screen is active, the error keeps scrolling through the logs and at some random amount of time (several hours) the system becomes unstable and I have to reboot. When I switched to using ONLY the external display or only the internal display, the error never pops up even once.

tomx (tom-xitio) wrote :

Same on a Thinkpad T401s. Sudden shutdown, no warning. Appears when machine is under heavy load.
Linux io 2.6.35-25-server #44-Ubuntu x86_64 GNU/Linux

Todd Morgan (tubatodd) wrote :

It looks like it is happening when I'm running a single screen as well.

Cyrille37 (cyrille37) wrote :

Also get the problem with:
Linux vaio-laptop 2.6.35-27-generic #47-Ubuntu SMP Fri Feb 11 22:52:49 UTC 2011 x86_64 GNU/Linux
GenuineIntel Intel(R) Core(TM) i7 CPU M 640 @ 2.80GHz

There is also the warning in dmesg:
Warning: CPU TDP doesn't match expected value (found 25, expected 35)

Jg-jguk (jg-jguk) wrote :

Has anyone tried with the latest linux kernel from kernel.org ? That is version 2.6.37.1 this issue may have already been fixed! there is a guide:

http://www.ramoonus.nl/2011/01/linux-kernel-2-6-37-installation-guide-for-ubuntu-linux/

Alternatively Ubuntu 11.04 is using a 2.6.37 series kernel.

Tha Tawa'S (thatawa) wrote :

Hi,
I got the same message :
intel ips 0000:00:1f.6: CPU power or thermal limit exceeded
on Dell latitude E5510 using 10.10 x32

Nigel Pallett (nigelp) wrote :

I tried it with the the 64 bit kernel packages from the link to Ramon van Blezen's site in #48 , and it solved a number of problems for me.

1. I removed the "intel_ips" driver from the blacklist and when it loads, I'm no longer getting the "CPU power or thermal limit exceeded" warning, so that problem is solved for me.

2. The problem caused by "intel_ips" loading before "i915" graphics module is solved - see output below from kernel log:

CPU TDP doesn't match expected value (found 25, expected 29)
kernel: [ 23.006634] intel ips 0000:00:1f.6: PCI INT C -> GSI 18 (level, low) -> IRQ 18
kernel: [ 23.006751] intel ips 0000:00:1f.6: failed to get i915 symbols, graphics turbo disabled
kernel: [ 23.006897] intel ips 0000:00:1f.6: IPS driver initialized, MCP temp limit 90
kernel: [ 28.205706] intel ips 0000:00:1f.6: i915 driver attached, reenabling gpu turbo

intuited (intuited) wrote :

Updating to the new kernel seems a bit sketchy. People should probably at least use the PPA given by Ramoonus in the comments, so as to allow security updates to be picked up by APT — assuming that updated kernel images are indeed posted to the PPA.

Based on the lxml thread posted in comment #21, and based on the fact that my machine is running cool, it looks like this is just noise that can safely be muted until the kernel patch is deployed in the mainline ubuntu release. I've done this by adding a syslog filter:

    $ cat /etc/rsyslog/10-mcp-power.conf
    :msg,contains,"intel ips 0000:00:1f.6: MCP power or thermal limit exceeded" ~

I'm not sure if the the `...1f:6` will always be the same or not.

Skeptics can get more info at these locations:

http://serverfault.com/questions/15106/is-there-a-way-to-filter-syslog-entries

http://www.rsyslog.com/doc/rsyslog_conf_filter.html

fierman (fierman) wrote :

me too, ubuntu 10.10 on lenovo thinkpad T510i

angheloko (angheloko) wrote :

Joining the club.

Lenovo Thinkpad Edge 11
2.6.35-27-generic

$ lspci | grep VGA
00:02.0 VGA compatible controller: Intel Corporation Core Processor Integrated Graphics Controller (rev 02)

dmesg | grep intel
...
[ 3140.839210] intel ips 0000:00:1f.6: CPU power or thermal limit exceeded
[ 3145.833007] intel ips 0000:00:1f.6: CPU power or thermal limit exceeded
[ 3150.826814] intel ips 0000:00:1f.6: CPU power or thermal limit exceeded
...

Looking forward for the fix.

tomx (tom-xitio) wrote :

Setting the bios options back to automatic / balanced solved the issue for me (t410s)
The machine had better performance with the respective settings, but I prefer to have a stable, slightly slower system.
Yet, a fix would be appreciated.

Neal McBurnett (nealmcb) wrote :

@intuited: thanks for your workaround. For others I'll just just note that it seems also necessary to do something like this after making the change:

 sudo service rsyslog restart

and I had to change "MCP" to "CPU" to match the messages I was seeing:

in /etc/rsyslog.d/10-mcp-power.conf
 :msg,contains,"intel ips 0000:00:1f.6: CPU power or thermal limit exceeded" ~

Compinfer (nvkinf) wrote :

It affects me: Acer Aspire Timeline 3820T-373G32iks
Linux Acer 2.6.35-28-generic #49-Ubuntu SMP Tue Mar 1 14:39:03 UTC 2011 x86_64 GNU/Linux
Ubuntu 10.10

lspci | grep VGA
00:02.0 VGA compatible controller: Intel Corporation Core Processor Integrated Graphics Controller (rev 18)

the message "intel ips 0000:00:1f.6: CPU power or thermal limit exceeded" in dmesg every 5 sec.

florin (florin-arjocu) wrote :

Confirmed on Toshiba Satellite C650 (intel core i3 2.13), Ubuntu 10.10

Linux version 2.6.35-28-generic (buildd@allspice) (gcc version 4.4.5 (Ubuntu/Linaro 4.4.4-14ubuntu5) ) #50-Ubuntu SMP Fri Mar 18 18:42:20 UTC 2011

TheBeest (thebeest) wrote :

Im testing Ubuntu 11.04 Beta 2 and it message is gone. All iv got for intel ips is the following:

ubuntu@ubuntu:~$ dmesg | grep intel\ ips
[ 43.508605] intel ips 0000:00:1f.6: CPU TDP doesn't match expected value (found 25, expected 29)
[ 43.508619] intel ips 0000:00:1f.6: PCI INT C -> GSI 18 (level, low) -> IRQ 18
[ 43.509800] intel ips 0000:00:1f.6: IPS driver initialized, MCP temp limit 90

So it looks like its fixed in 11.04!

Aisano (info-ais-sanmarino) wrote :

I upgraded to Ubuntu 10.10 only four or five days ago, and today my 10.10 would hang during startup. I tried several times, waited 15 minutes or so (startup fsck rarely shows me more than a black screen), finally had to power off. Then I chose the last 10.04 kernel, and sure Ubuntu started without problems.

The last thing kern.log shows before I powered off are "CPU power or thermal limit exceeded", at a rate of one every five seconds. Other interesting-sounding messages were
-- Buffer I/O error on device sr0, logical block 1024
-- sr 1:0:0:0: [sr0] Add. Sense: Read of scrambled sector without authentication
-- task nautilus:1923 blocked for more than 120 seconds"
-- task pactl:2048 blocked for more than 120 seconds
-- rtl819xSE:Firmware Download Fail!!a".

I am attaching my full kern.log in case anybody cares.

angheloko (angheloko) wrote :

I no longer see this message repeating in 2.6.35-28-generic, Ubuntu 10.10.

angheloko (angheloko) wrote :

Sorry, please ignore. It's still there in 10.10.

This bug no longer exists in natty with kernel 2.6.38.

Changed in linux (Ubuntu):
status: Triaged → Fix Released
mabawsa (mabawsa) wrote :
Download full text (21.7 KiB)

Really, just upgraded to natty and my dmesg is filling up with these messages (none in Maverick). Maybe its a different bug ;).

[30162.527370] intel ips 0000:00:1f.6: MCP limit exceeded: Avg power 49707, limit 35000
[30167.524558] intel ips 0000:00:1f.6: MCP limit exceeded: Avg temp 9801, limit 9000
[30167.524563] intel ips 0000:00:1f.6: MCP limit exceeded: Avg power 49876, limit 35000
[30172.521746] intel ips 0000:00:1f.6: MCP limit exceeded: Avg temp 9985, limit 9000
[30172.521750] intel ips 0000:00:1f.6: MCP limit exceeded: Avg power 49830, limit 35000
[30177.518996] intel ips 0000:00:1f.6: MCP limit exceeded: Avg power 49750, limit 35000
[30182.516223] intel ips 0000:00:1f.6: MCP limit exceeded: Avg power 49309, limit 35000
[30187.513302] intel ips 0000:00:1f.6: MCP limit exceeded: Avg temp 9565, limit 9000
[30187.513306] intel ips 0000:00:1f.6: MCP limit exceeded: Avg power 49213, limit 35000
[30192.510470] intel ips 0000:00:1f.6: MCP limit exceeded: Avg temp 9845, limit 9000
[30192.510473] intel ips 0000:00:1f.6: MCP limit exceeded: Avg power 49945, limit 35000
[30197.507664] intel ips 0000:00:1f.6: MCP limit exceeded: Avg temp 10075, limit 9000
[30197.507667] intel ips 0000:00:1f.6: MCP limit exceeded: Avg power 50051, limit 35000
[30202.504840] intel ips 0000:00:1f.6: MCP limit exceeded: Avg power 49850, limit 35000
[30207.502019] intel ips 0000:00:1f.6: MCP limit exceeded: Avg power 49141, limit 35000
[30212.499169] intel ips 0000:00:1f.6: MCP limit exceeded: Avg temp 9240, limit 9000
[30212.499173] intel ips 0000:00:1f.6: MCP limit exceeded: Avg power 49001, limit 35000
[30217.496358] intel ips 0000:00:1f.6: MCP limit exceeded: Avg temp 9598, limit 9000
[30217.496362] intel ips 0000:00:1f.6: MCP limit exceeded: Avg power 49292, limit 35000
[30222.493505] intel ips 0000:00:1f.6: MCP limit exceeded: Avg temp 9600, limit 9000
[30222.493509] intel ips 0000:00:1f.6: MCP limit exceeded: Avg power 50044, limit 35000
[30227.490691] intel ips 0000:00:1f.6: MCP limit exceeded: Avg temp 9699, limit 9000
[30227.490695] intel ips 0000:00:1f.6: MCP limit exceeded: Avg power 50599, limit 35000
[30232.487910] intel ips 0000:00:1f.6: MCP limit exceeded: Avg temp 9824, limit 9000
[30232.487914] intel ips 0000:00:1f.6: MCP limit exceeded: Avg power 50319, limit 35000
[30237.485048] intel ips 0000:00:1f.6: MCP limit exceeded: Avg temp 9814, limit 9000
[30237.485052] intel ips 0000:00:1f.6: MCP limit exceeded: Avg power 50612, limit 35000
[30242.482214] intel ips 0000:00:1f.6: MCP limit exceeded: Avg temp 9804, limit 9000
[30242.482219] intel ips 0000:00:1f.6: MCP limit exceeded: Avg power 50292, limit 35000
[30247.479396] intel ips 0000:00:1f.6: MCP limit exceeded: Avg temp 9899, limit 9000
[30247.479401] intel ips 0000:00:1f.6: MCP limit exceeded: Avg power 50670, limit 35000
[30252.476555] intel ips 0000:00:1f.6: MCP limit exceeded: Avg temp 9904, limit 9000
[30252.476559] intel ips 0000:00:1f.6: MCP limit exceeded: Avg power 50597, limit 35000
[30257.473767] intel ips 0000:00:1f.6: MCP limit exceeded: Avg power 49592, limit 35000
[30262.471009] intel ips 0000:00:1f.6: MCP limit exceeded: Avg power 49636, limit 35000
[30267.468109] intel ips 0000:00...

Simon Déziel (sdeziel) wrote :

I am also affected on a fresh Natty amd64 install :

0000:00:1f.6: IPS driver initialized, MCP temp limit 90
...
intel ips 0000:00:1f.6: MCP limit exceeded: Avg power 38464, limit 35000

Jg-jguk (jg-jguk) wrote :

No need to paste so many repeated lines!

The problem is that there are no paid engineers working on this bug.

I offered £50 bug bounty on 2011-01-19. No one else offered..

I'll up this to £75. How about others offering to pay the developer who fixes this? (It should of cause be a geniune fix, not just a quieten the output)

Email me if interested.
Cheers, Jon

Also affected on 10.10, exact same issue

Linux 2.6.35-29-generic #51-Ubuntu SMP Fri Apr 15 17:12:35 UTC 2011 x86_64 GNU/Linux

coriwnspyre (thewormwhoisgod) wrote :

Does everyone here have a CPU with Intel Turbo Boost? TB is designed to come in under load and scale back when temperature or power limits are exceeded. The message itself and the reports of when it is happening seem to correspond to when TB would be kicking in and then turning off due to heat or power limiting.

If that is the case, then it is not an error message per se but a note showing TB is working as expected.

Chris (cmavr8) wrote :

Still happens on a Lenovo X201s with i7 (turbo boost enabled), if under heavy load (11.04, 64-bit).

After all the "limit exceeded messages" I get twice:
"Critical temperature reached (100 C), shutting down."
and then offcourse the system goes down.

I'll contact Jg-jguk ( <email address hidden>) to contribute to the bounty... Please do the same if you're annoyed by the bug.

Chris (cmavr8) wrote :

I would like to contribute to raise the bounty so that it goes from 84.51€ (£75.) to 100 EUROS.

Chris (cmavr8) wrote :

The status of this bug should be changed from "fix released" to e.g. "confirmed".
I don't have the right to do it, someone please do it..

AceLan Kao (acelankao) on 2011-06-13
Changed in linux (Ubuntu):
status: Fix Released → Confirmed
Ray-Ven (ray-ven) wrote :

Laurent Bonnaud said it's fixed with 2.6.38,
well, I got 2.6.38-10 (natty) and still have this issue.

Compinfer (nvkinf) wrote :
Download full text (17.1 KiB)

I see the same on Ubuntu 10.04
Linux Acer 2.6.35-30-generic #54-Ubuntu SMP Tue Jun 7 18:41:54 UTC 2011 x86_64 GNU/Linux
every 5 sec I get
 Acer kernel: [10019.338606] intel ips 0000:00:1f.6: CPU power or thermal limit exceeded
lshw
acer
    description: Notebook
    product: Aspire 3820
    vendor: Acer
    version: V1.17
    serial: LXPTC010130380DE6A2000
    width: 64 bits
    capabilities: smbios-2.6 dmi-2.6 vsyscall64 vsyscall32
    configuration: boot=normal chassis=notebook uuid=F91F79A0-C887-11DF-91A4-E96B11BB4EF4
  *-core
       description: Motherboard
       physical id: 0
     *-firmware
          description: BIOS
          vendor: Phoenix Technologies LTD
          physical id: 0
          version: V1.17 (09/02/2010)
          size: 112KiB
          capacity: 4032KiB
          capabilities: isa pci pcmcia pnp upgrade shadowing escd cdboot acpi usb agp biosbootspecification
     *-board UNCLAIMED
          description: Mother Board
          product: Aspire 3820
          vendor: Acer
          physical id: 2
          version: V1.17
          serial: LXPTC010130380DE6A2000
          slot: Not Applicable
     *-cpu
          description: CPU
          product: Intel(R) Core(TM) i3 CPU M 370 @ 2.40GHz
          vendor: Intel Corp.
          physical id: 4
          bus info: cpu@0
          version: Genuine Intel(R) CPU
          slot: CPU 1
          size: 1999MHz
          capacity: 3200MHz
          width: 64 bits
          clock: 100MHz
          capabilities: fpu fpu_exception wp vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx rdtscp x86-64 constant_tsc arch_perfmon pebs bts rep_good xtopology nonstop_tsc aperfmperf pni dtes64 monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr pdcm sse4_1 sse4_2 popcnt lahf_lm arat tpr_shadow vnmi flexpriority ept vpid cpufreq
        *-cache:0
             description: L1 cache
             physical id: 5
             slot: L1 Cache
             size: 32KiB
             capacity: 32KiB
             capabilities: asynchronous internal write-through data
        *-cache:1
             description: L2 cache
             physical id: 6
             slot: L2 Cache
             size: 256KiB
             capacity: 1MiB
             capabilities: burst internal write-through unified
        *-cache:2
             description: L3 cache
             physical id: 7
             slot: L3 Cache
             size: 3MiB
             capacity: 8MiB
             capabilities: burst internal write-back
     *-memory
          description: System Memory
          physical id: d
          slot: System board or motherboard
          size: 3GiB
        *-bank:0
             description: SODIMM Synchronous 1334 MHz (0.7 ns)
             product: M471B2873FHS-CH9
             vendor: 80CE
             physical id: 0
             serial: 640DE59B
             slot: M1
             size: 1GiB
             width: 64 bits
             clock: 1334MHz (0.7ns)
        *-bank:1
             description: SODIMM Synchronous 1334 MHz (0.7 ns)
             product: NT2GC64B8HC0NS-CG
             vendor: 830B
             physical...

Michael Höller (akazia) wrote :

Hello

I have the same issue with 10.10 on a ThinkPad 510

Michael

Attached is my lshw output.
This on Ubuntu 11.10 beta1 on a Alienware m11x-R2 with a dual monitor setup.

My /var/log/kern.log is full of lines like this:
Sep 7 15:55:49 tezcatlipoca kernel: [26520.494025] intel ips 0000:00:1f.6: MCP limit exceeded: Avg power 18441, limit 18000
Sep 7 15:55:59 tezcatlipoca kernel: [26530.488494] intel ips 0000:00:1f.6: MCP limit exceeded: Avg power 18867, limit 18000
Sep 7 15:56:19 tezcatlipoca kernel: [26550.477464] intel ips 0000:00:1f.6: MCP limit exceeded: Avg power 18262, limit 18000
Sep 7 15:56:24 tezcatlipoca kernel: [26555.474735] intel ips 0000:00:1f.6: MCP limit exceeded: Avg power 18039, limit 18000
Sep 7 15:56:29 tezcatlipoca kernel: [26560.471928] intel ips 0000:00:1f.6: MCP limit exceeded: Avg power 18424, limit 18000
Sep 7 15:56:39 tezcatlipoca kernel: [26570.466381] intel ips 0000:00:1f.6: MCP limit exceeded: Avg power 18157, limit 18000
Sep 7 15:56:49 tezcatlipoca kernel: [26580.460862] intel ips 0000:00:1f.6: MCP limit exceeded: Avg power 18453, limit 18000
Sep 7 15:56:59 tezcatlipoca kernel: [26590.455361] intel ips 0000:00:1f.6: MCP limit exceeded: Avg power 18505, limit 18000
Sep 7 15:57:09 tezcatlipoca kernel: [26600.449803] intel ips 0000:00:1f.6: MCP limit exceeded: Avg power 18457, limit 18000
Sep 7 16:32:54 tezcatlipoca kernel: [28744.314485] intel ips 0000:00:1f.6: MCP limit exceeded: Avg power 18189, limit 18000
Sep 7 16:32:59 tezcatlipoca kernel: [28749.311743] intel ips 0000:00:1f.6: MCP limit exceeded: Avg power 18551, limit 18000
Sep 7 16:34:34 tezcatlipoca kernel: [28844.259232] intel ips 0000:00:1f.6: MCP limit exceeded: Avg power 18597, limit 18000

Craig Magina (craig.magina) wrote :

Just hit this issue on a Lenovo T410s running Ubuntu Oneiric beta2 amd64, kernel version 3.0.0-11-generic.

Schrottie (blog-dafb-o) wrote :

Affected using Oneiric (11.10) 64bit, kernel 3.0.0.13 on a PB Easynote LJ75

Nov 23 08:05:05 fuuk-up kernel: [47704.401217] intel ips 0000:00:1f.6: MCP limit exceeded: Avg temp 9007, limit 9000
Nov 23 08:08:15 fuuk-up kernel: [47894.016411] intel ips 0000:00:1f.6: MCP limit exceeded: Avg temp 9025, limit 9000
Nov 23 08:08:35 fuuk-up kernel: [47913.975581] intel ips 0000:00:1f.6: MCP limit exceeded: Avg temp 9173, limit 9000
Nov 23 08:09:15 fuuk-up kernel: [47953.894500] intel ips 0000:00:1f.6: MCP limit exceeded: Avg temp 9004, limit 9000
Nov 23 08:09:20 fuuk-up kernel: [47958.884358] intel ips 0000:00:1f.6: MCP limit exceeded: Avg temp 9017, limit 9000
Nov 23 08:09:30 fuuk-up kernel: [47968.864088] intel ips 0000:00:1f.6: MCP limit exceeded: Avg temp 9275, limit 9000
Nov 23 08:09:55 fuuk-up kernel: [47993.813441] intel ips 0000:00:1f.6: MCP limit exceeded: Avg temp 9075, limit 9000
Nov 23 08:12:15 fuuk-up kernel: [48133.529685] intel ips 0000:00:1f.6: MCP limit exceeded: Avg temp 9082, limit 9000

ಸతీशः (bdsatish) wrote :

Well, this bug is 14 months old, no hope that this will be fixed. Sorry, I've switched to Debian now and unsubscribing from this thread.

I had this problem with this system:

  ASRock HTPC Core 100HT with BIOS revision 1.30

in Ubuntu maverick. As I wrote previously, this bug no longer shows up neither in natty nor in oneiric. I am sorry that this problem is not fixed for all systems. Therefore I suggest that people who still see this bug give the following info:

 - system or motherboard name with BIOS version (given by "dmidecode")
 - Ubuntu release name and kernel version (given by "uname -a")

Barbalras (fede-barabas) wrote :

I still have this issue in 11.10 with kernel 3.0.0-19

Intel® Core™ i3 CPU M 350 @ 2.27GHz × 4
3.0.0-13-generic #22-Ubuntu SMP Wed Nov 2 13:27:26 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux
Intel® Ironlake Mobile

I have this issue in 11.10 too

Barbalras (fede-barabas) wrote :

Could this be the reason why my laptop shuts down unexpectedly?

I have the same issue. My laptop sometimes turns off suddenly (while doing something CPU-intensive), and the /var/log/kernl.log have these messages. I am using Ubuntu 11.10 with the 3.0.0-14-generic kernel, 64-bit.

Furious Dave (john-mullins-27) wrote :

Same here

Linux euclide 3.0.0-15-generic #26-Ubuntu SMP Fri Jan 20 17:23:00 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

Tell me if you need some attachments.

theohar (theohar) wrote :

Same thing happened to me today - has never happened before.

Linux remalius 2.6.38-13-generic #54-Ubuntu SMP Tue Jan 3 13:38:12 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux
Ubuntu 11.04 x86_64
Lenovo T410s

Since I 've been doing the same usage over the year I would think it has to do with the most recent kernel that I updated to (2.6.38-13)

Me too (spontaneous shutdowns, two this evening so far)

Linux lipschitz 2.6.35-32-generic #65-Ubuntu SMP Tue Jan 24 13:47:56 UTC 2012 x86_64 GNU/Linux

Lenovo T410

Distributor ID: Ubuntu
Description: Ubuntu 10.10
Release: 10.10
Codename: maverickFeb 22 22:45:40 lipschitz kernel: [ 4971.185388] intel ips 0000:00:1f.6: CPU power or thermal limit exceeded
Feb 22 22:47:38 lipschitz kernel: [ 5089.065861] Machine check events logged
Feb 22 22:50:55 lipschitz kernel: [ 5285.440745] intel ips 0000:00:1f.6: CPU power or thermal limit exceeded
Feb 22 22:51:00 lipschitz kernel: [ 5290.427655] intel ips 0000:00:1f.6: CPU power or thermal limit exceeded
Feb 22 22:51:05 lipschitz kernel: [ 5295.415824] intel ips 0000:00:1f.6: CPU power or thermal limit exceeded
Feb 22 22:51:15 lipschitz kernel: [ 5305.392147] intel ips 0000:00:1f.6: CPU power or thermal limit exceeded
Feb 22 22:51:15 lipschitz kernel: [ 5305.762902] CPU2: Core temperature above threshold, cpu clock throttled (total events = 44)
Feb 22 22:51:15 lipschitz kernel: [ 5305.762909] CPU3: Core temperature above threshold, cpu clock throttled (total events = 44)
Feb 22 22:51:15 lipschitz kernel: [ 5305.763925] CPU2: Core temperature/speed normal
Feb 22 22:51:15 lipschitz kernel: [ 5305.763927] CPU3: Core temperature/speed normal
Feb 22 22:51:35 lipschitz kernel: [ 5325.344786] intel ips 0000:00:1f.6: CPU power or thermal limit exceeded
Feb 22 22:51:40 lipschitz kernel: [ 5330.332954] intel ips 0000:00:1f.6: CPU power or thermal limit exceeded
Feb 22 22:51:42 lipschitz kernel: [ 5332.107920] Critical temperature reached (100 C), shutting down.
Feb 22 22:51:42 lipschitz kernel: [ 5332.112533] Critical temperature reached (100 C), shutting down.

GreyGeek (greygeek77) wrote :
Download full text (16.1 KiB)

03-26-2012
My 3 month old Acer 7739-6830 laptop threw this error msg this morning while I was playing Minecraft 1.2.4 under Kubuntu 12.04 Beta, fully updated. dmidecode and uname -a follow:

#uname:
Linux jerry-Aspire-7739 3.2.0-20-generic #32-Ubuntu SMP Thu Mar 22 02:22:46 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

#dmidecode:
# dmidecode 2.11
SMBIOS 2.7 present.
40 structures occupying 1988 bytes.
Table at 0x000E6910.

Handle 0x0000, DMI type 0, 24 bytes
BIOS Information
        Vendor: Insyde Corp.
        Version: V1.03
        Release Date: 07/21/2011
        ROM Size: 2048 kB
        Characteristics:
                PCI is supported
                BIOS is upgradeable
                BIOS shadowing is allowed
                Boot from CD is supported
                Selectable boot is supported
                EDD is supported
                Japanese floppy for NEC 9800 1.2 MB is supported (int 13h)
                Japanese floppy for Toshiba 1.2 MB is supported (int 13h)
                5.25"/360 kB floppy services are supported (int 13h)
                5.25"/1.2 MB floppy services are supported (int 13h)
                3.5"/720 kB floppy services are supported (int 13h)
                3.5"/2.88 MB floppy services are supported (int 13h)
                8042 keyboard services are supported (int 9h)
                CGA/mono video services are supported (int 10h)
                ACPI is supported
                USB legacy is supported
                BIOS boot specification is supported
                Targeted content distribution is supported
                UEFI is supported
        BIOS Revision: 3.240

Handle 0x0001, DMI type 1, 27 bytes
System Information
        Manufacturer: Acer
        Product Name: Aspire 7739
        Version: V1.03
        Serial Number: XXXXXXXXXXXXXXXXXXXXXXXXXXXXX
        UUID: E7D1E800-CC33-815C-2E2E-3860777840C8
        Wake-up Type: Power Switch
        SKU Number: Calpella_CRB
        Family: Intel_Mobile

Handle 0x0002, DMI type 2, 16 bytes
Base Board Information
        Manufacturer: Acer
        Product Name: HMA71_CP
        Version: Type2 - Board Version
        Serial Number: Type2 - Board Serial Number
        Asset Tag: Type2 - Board Asset Tag
        Features:
                Board is a hosting board
                Board is replaceable
        Location In Chassis: Type2 - Board Chassis Location
        Chassis Handle: 0x0003
        Type: Motherboard
        Contained Object Handles: 0

Handle 0x0003, DMI type 3, 23 bytes
Chassis Information
        Manufacturer: Chassis Manufacturer
        Type: Notebook
        Lock: Not Present
        Version: Chassis Version
        Serial Number: Chassis Serial Number
        Asset Tag:
        Boot-up State: Safe
        Power Supply State: Safe
        Thermal State: Safe
        Security Status: None
        OEM Information: 0x00000000
        Height: Unspecified
        Number Of Power Cords: 1
        Contained Elements: 0
        SKU Number: Not Specified

Handle 0x0004, DMI type 9, 17 bytes
System Slot Information
        Designation: J5C1
        Type: x16 PCI Express x16
        Current Usage: In Use...

dr.spock (dr.spock) wrote :

Same problem here. My laptop doesn't shut down, but suddenly X crashes and goes to KDM greeter.
Attaching dmidecode output (uname -a output in last line)

Mike Sterling (mike-sterling) wrote :
Download full text (18.5 KiB)

Still seeing this in Precise.

mike@mikester-t410l:~$ uname -a
Linux mikester-t410l 3.2.0-24-generic #37-Ubuntu SMP Wed Apr 25 08:43:22 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

# dmidecode 2.11
SMBIOS 2.6 present.
78 structures occupying 2887 bytes.
Table at 0x000E0010.

Handle 0x0000, DMI type 0, 24 bytes
BIOS Information
 Vendor: LENOVO
 Version: 6UET67WW (1.47 )
 Release Date: 07/13/2011
 Address: 0xE0000
 Runtime Size: 128 kB
 ROM Size: 8192 kB
 Characteristics:
  PCI is supported
  PC Card (PCMCIA) is supported
  PNP is supported
  BIOS is upgradeable
  BIOS shadowing is allowed
  ESCD support is available
  Boot from CD is supported
  Selectable boot is supported
  EDD is supported
  3.5"/720 kB floppy services are supported (int 13h)
  Print screen service is supported (int 5h)
  8042 keyboard services are supported (int 9h)
  Serial services are supported (int 14h)
  Printer services are supported (int 17h)
  CGA/mono video services are supported (int 10h)
  ACPI is supported
  USB legacy is supported
  BIOS boot specification is supported
  Targeted content distribution is supported
 BIOS Revision: 1.71
 Firmware Revision: 1.20

Handle 0x0001, DMI type 1, 27 bytes
System Information
 Manufacturer: LENOVO
 Product Name: 291225U
 Version: ThinkPad T410s
 Serial Number: R8YXARN
 UUID: 81A19D52-C650-CB11-B3A7-9A98BF801857
 Wake-up Type: Power Switch
 SKU Number: Not Specified
 Family: ThinkPad T410s

Handle 0x0002, DMI type 2, 15 bytes
Base Board Information
 Manufacturer: LENOVO
 Product Name: 291225U
 Version: Not Available
 Serial Number: 1ZHLH01G1L0
 Asset Tag: Not Specified
 Features: None
 Location In Chassis: Not Specified
 Chassis Handle: 0xFFFF
 Type: Unknown
 Contained Object Handles: 0

Handle 0x0003, DMI type 3, 21 bytes
Chassis Information
 Manufacturer: LENOVO
 Type: Notebook
 Lock: Not Present
 Version: Not Available
 Serial Number: R8YXARN
 Asset Tag: No Asset Information
 Boot-up State: Unknown
 Power Supply State: Unknown
 Thermal State: Unknown
 Security Status: Unknown
 OEM Information: 0x00000000
 Height: Unspecified
 Number Of Power Cords: Unspecified
 Contained Elements: 0

Handle 0x0004, DMI type 3, 21 bytes
Chassis Information
 Manufacturer: LENOVO
 Type: Docking Station
 Lock: Not Present
 Version: Not Available
 Serial Number: Not Available
 Asset Tag: Not Available
 Boot-up State: Unknown
 Power Supply State: Unknown
 Thermal State: Unknown
 Security Status: Unknown
 OEM Information: 0x00000000
 Height: Unspecified
 Number Of Power Cords: Unspecified
 Contained Elements: 0

Handle 0x0005, DMI type 126, 21 bytes
Inactive

Handle 0x0006, DMI type 4, 42 bytes
Processor Information
 Socket Designation: None
 Type: Central Processor
 Family: Other
 Manufacturer: GenuineIntel
 ID: 52 06 02 00 FF FB EB BF
 Version: Intel(R) Core(TM) i5 CPU M 520 @ 2.40GHz
 Voltage: 1.3 V
 External Clock: 133 MHz
 Max Speed: 2400 MHz
 Current Speed: 2400 MHz
 Status: Populated, Enabled
 Upgrade: None
 L1 Cache Handle: 0x000A
 L2 Cache Handle: 0x000B
 L3 Cache Handle: 0x000C
 Serial Number: Not Specified
 Asset Tag: Not Specified
 Part Number: Not Specified
 Core Count: 2
 Core Enabled: 2
 Thread Count: 4
 Characteristics: None
...

Erica Peterson (probabilistic) wrote :
Download full text (17.2 KiB)

I have this problem with a Thinkpad X201 running 12.04.

If the machine is under heavy load I get a bunch (hundreds) of these in /var/log/kern.log:
May 19 15:51:10 alkesh kernel: [96713.752369] intel ips 0000:00:1f.6: MCP limit exceeded: Avg temp 10024, limit 9000
May 19 15:51:10 alkesh kernel: [96713.752374] intel ips 0000:00:1f.6: MCP limit exceeded: Avg power 55624, limit 35000

...and then my laptop shuts down:
May 19 15:51:11 alkesh kernel: [96715.502712] CPU0: Core temperature above threshold, cpu clock throttled (total events = 1)
May 19 15:51:11 alkesh kernel: [96715.502719] CPU1: Core temperature above threshold, cpu clock throttled (total events = 1)
May 19 15:51:11 alkesh kernel: [96715.503746] CPU0: Core temperature/speed normal
May 19 15:51:11 alkesh kernel: [96715.503748] CPU1: Core temperature/speed normal
May 19 15:51:15 alkesh kernel: [96718.633527] Critical temperature reached (100 C), shutting down.
May 19 15:51:15 alkesh kernel: [96718.644694] Critical temperature reached (100 C), shutting down.
May 19 15:51:15 alkesh kernel: [96718.739831] intel ips 0000:00:1f.6: MCP limit exceeded: Avg temp 10287, limit 9000
May 19 15:51:15 alkesh kernel: [96718.739840] intel ips 0000:00:1f.6: MCP limit exceeded: Avg power 55709, limit 35000
May 19 15:51:16 alkesh kernel: Kernel logging (proc) stopped.

astronut@alkesh:~$ uname -a
Linux alkesh 3.2.0-24-generic #37-Ubuntu SMP Wed Apr 25 08:43:22 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux
astronut@alkesh:~$ sudo dmidecode
# dmidecode 2.11
SMBIOS 2.6 present.
78 structures occupying 2867 bytes.
Table at 0x000E0010.

Handle 0x0000, DMI type 0, 24 bytes
BIOS Information
 Vendor: LENOVO
 Version: 6QET61WW (1.31 )
 Release Date: 10/26/2010
 Address: 0xE0000
 Runtime Size: 128 kB
 ROM Size: 8192 kB
 Characteristics:
  PCI is supported
  PC Card (PCMCIA) is supported
  PNP is supported
  BIOS is upgradeable
  BIOS shadowing is allowed
  ESCD support is available
  Boot from CD is supported
  Selectable boot is supported
  EDD is supported
  3.5"/720 kB floppy services are supported (int 13h)
  Print screen service is supported (int 5h)
  8042 keyboard services are supported (int 9h)
  Serial services are supported (int 14h)
  Printer services are supported (int 17h)
  CGA/mono video services are supported (int 10h)
  ACPI is supported
  USB legacy is supported
  BIOS boot specification is supported
  Targeted content distribution is supported
 BIOS Revision: 1.49
 Firmware Revision: 1.18

Handle 0x0001, DMI type 1, 27 bytes
System Information
 Manufacturer: LENOVO
 Product Name: 3249CTO
 Version: ThinkPad X201
 Serial Number: R9AKKT5
 UUID: 007C14BA-281E-E011-A08D-9740469DBBC7
 Wake-up Type: Power Switch
 SKU Number: Not Specified
 Family: ThinkPad X201

Handle 0x0002, DMI type 2, 15 bytes
Base Board Information
 Manufacturer: LENOVO
 Product Name: 3249CTO
 Version: Not Available
 Serial Number: 1ZHWK1164RT
 Asset Tag: Not Specified
 Features: None
 Location In Chassis: Not Specified
 Chassis Handle: 0xFFFF
 Type: Unknown
 Contained Object Handles: 0

Handle 0x0003, DMI type 3, 21 bytes
Chassis Information
 Manufacturer: LENOVO
 Type: Notebook
 Lock: Not Present
 Version: Not Available
 Serial Numbe...

Ian Santopietro (isantop) wrote :

Fixed in 12.04 for all System76 machines. Marking this as "Fix Released" In System76.

Changed in system76:
status: Confirmed → Fix Released
GreyGeek (greygeek77) wrote :

I am running a fully updated Kubuntu 12.04 on an Acer Aspire 7739-6830 which has an Intel HD 3000 video chip.

This msg is repeated a dozen times as the temperature approaches 141F.
 intel ips 0000:00:1f.6: MCP limit exceeded: Avg power 37082, limit 35000

When the ACPI temp rises above 141F this Acer shuts down ungracefully, corrupting several inodes.

acpi -V gives:

$ acpi -V
Battery 0: Full, 100%
Battery 0: design capacity 3890 mAh, last full capacity 3184 mAh = 81%
Adapter 0: on-line
Thermal 0: ok, 39.0 degrees C
Thermal 0: trip point 0 switches to mode critical at temperature 89.0 degrees C
Thermal 0: trip point 1 switches to mode passive at temperature 88.0 degrees C
Cooling 0: LCD 1 of 9
Cooling 1: Processor 0 of 10
Cooling 2: Processor 0 of 10
Cooling 3: Processor 0 of 10
Cooling 4: Processor 0 of 10

A (anikadamg) wrote :

I spilled coffee on my laptop and quite a bit after that I started getting messages such as these. I dual boot windows and linux and the sudden shutdown after a while of working normally happens on both systems.

This is likely indicative of a real hardware problem and NOT something to be ignored and hidden.

This bug was filed against a series that is no longer supported and so is being marked as Won't Fix. If this issue still exists in a supported series, please file a new bug.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: Confirmed → Won't Fix
Alexander List (alexlist) wrote :

Joseph Salisbury, please be careful with these scripts. A user mentioned he observed the issue on 12.04 - that *is* still supported. IMHO it should only be marked "Won't Fix" for releases that are EOL.

Joseph Salisbury (jsalisbury) wrote :

@Alexander

This bug was originally reported against Natty, which is now EOL. I added a bug task for Precise. However, comment #90 reports that this could be fixed in Precise?

Can folks affected by this bug post back if they still see this bug on Precise or newer releases?

Thanks in advance!

Changed in linux (Ubuntu Precise):
status: New → Incomplete
importance: Undecided → Medium
tags: added: kernel-da-key precise
Simon Déziel (sdeziel) wrote :

Still affecting Precise:

$ grep MCP /var/log/syslog
Nov 27 13:46:25 simon-laptop kernel: [142549.849931] intel ips 0000:00:1f.6: MCP limit exceeded: Avg power 36308, limit 35000

$ uname -a
Linux simon-laptop 3.2.0-34-generic #53-Ubuntu SMP Thu Nov 15 10:48:16 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

Changed in linux (Ubuntu Precise):
status: Incomplete → Confirmed
R. Steve McKown (rsmckown) wrote :

Problem sill present here, Xubuntu 12.04 on a Thinkpad X201, with all repository updates applied. Heavy multi-core loads like video transcoding cause the thermal limit to be exceeded quickly, shutting down the system. Forcing the fan to run at its highest speed (disabled) appears to keep system temps below the limit, but still too high for my tastes. Would be nice if CPU frequency scaling could take into consideration core temps, or if it does, if the algorithms would drive toward a lower target core temp.

diraol (diraol) wrote :

The same here with me.
Thinkpad X201 (core i7)
Ubuntu 12.04 Precise

uname -a
Linux ghandi 3.2.0-33-generic #52-Ubuntu SMP Thu Oct 18 16:29:15 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

grep MCP /var/log/syslog
Nov 28 10:14:39 ghandi kernel: [ 917.140526] intel ips 0000:00:1f.6: MCP limit exceeded: Avg temp 9987, limit 9000
Nov 28 10:15:29 ghandi kernel: [ 3.474134] intel ips 0000:00:1f.6: IPS driver initialized, MCP temp limit 90

I also have an SSD.
And i'm using a dual monitor config (notebook + External LCD)
It freezes when I use a lot of my local MySQL instance.

Joseph Salisbury (jsalisbury) wrote :

For the folks with Thinkpads, you are probably being affected by bug 751689 .

@Michael Lustfield, are you still affected by this bug?

Changed in linux (Ubuntu Precise):
status: Confirmed → Fix Released
Neal McBurnett (nealmcb) wrote :

Thanks, Garik! What was the fix? What package/version is it in?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers